List all
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/availabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/availabilities"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/availabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/availabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/availabilities"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/availabilities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/availabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 1,
"end_time": "18:00:00",
"id": "01k7ee7ancg9qvc5xxt77mcwsd",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 2,
"end_time": "18:00:00",
"id": "01k7ee7anem9bzhj7k2e3xmj4n",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 3,
"end_time": "18:00:00",
"id": "01k7ee7anf4edwngdsf4dkc0nd",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 4,
"end_time": "18:00:00",
"id": "01k7ee7anhffm7f2a4cgj2a7bs",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 5,
"end_time": "18:00:00",
"id": "01k7ee7anjy0xhsvncbexac189",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
}
],
"message": "Availabilities retrieved successfully",
"status": true
}Availabilities
Get all users availabilities
Retrieves all availability slots for users in the authenticated company. Each entry includes the user, start and end times, and timezone. Useful for scheduling, calendar display, or managing user availability.
GET
/
2023-11
/
admin
/
availabilities
List all
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/availabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/availabilities"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/availabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/availabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/availabilities"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/availabilities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/availabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 1,
"end_time": "18:00:00",
"id": "01k7ee7ancg9qvc5xxt77mcwsd",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 2,
"end_time": "18:00:00",
"id": "01k7ee7anem9bzhj7k2e3xmj4n",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 3,
"end_time": "18:00:00",
"id": "01k7ee7anf4edwngdsf4dkc0nd",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 4,
"end_time": "18:00:00",
"id": "01k7ee7anhffm7f2a4cgj2a7bs",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-13T09:25:31.000000Z",
"day_of_week": 5,
"end_time": "18:00:00",
"id": "01k7ee7anjy0xhsvncbexac189",
"metadata": null,
"start_time": "08:00:00",
"timezone": "UTC",
"updated_at": "2025-10-13T09:25:31.000000Z",
"user_id": "01k7ee7anat9j4bn5v71v70qck"
}
],
"message": "Availabilities retrieved successfully",
"status": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Query Parameters
Example:
"{{userId}}"
Response
200 - application/json
200 / 200
Show child attributes
Show child attributes
Example:
[
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-04T15:35:29.000000Z",
"day_of_week": 1,
"end_time": "11:00:00",
"id": "01k6qxt95bq738sn4d5n4h919v",
"metadata": null,
"start_time": "07:00:00",
"timezone": "Africa/Douala",
"updated_at": "2025-10-04T15:35:29.000000Z",
"user_id": "01k1amyqgjje8sknkzpm78qv6x"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-04T15:35:29.000000Z",
"day_of_week": 1,
"end_time": "19:00:00",
"id": "01k6qxt95gm71d1hg98zx72rqw",
"metadata": null,
"start_time": "11:00:00",
"timezone": "Africa/Douala",
"updated_at": "2025-10-04T15:35:29.000000Z",
"user_id": "01k1amyqgjje8sknkzpm78qv6x"
}
]
Example:
"Availabilities retrieved successfully"
Example:
true
